%global dlrn_nvr tripleo-ansible-0.5.1.dev239-1.20210713143305.902c3c8
%global dlrn 1
%define upstream_version 0.5.1.dev239
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%global srcname tripleo_ansible
%global rolename tripleo-ansible

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 0.5.1
Release: 1.20210713143309%{?dist}
Summary:        Ansible project for TripleO

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/tripleo-ansible
Source0: tripleo-ansible-0.5.1.dev239-1.20210713143305.902c3c8.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=902c3c8cc048f4c5c928df62c1d6d49c206d1917
Patch0001: 0001-DOWNSTREAM-ONLY-Specify-the-rhosp-constraints-regard.patch
Patch0002: 0002-Allow-tripleo_firewall-to-work-in-check-mode.patch
Patch0003: 0003-Check-mode-support-for-2-modules.patch
Patch0004: 0004-Instruct-systemd-to-accept-137-and-143-exit-code.patch
Patch0005: 0005-Compute-dashboard_frontend_vip-according-to-the-hapr.patch
Patch0006: 0006-Add-tripleo-lvmfilter-role-to-restrict-visible-block.patch
Patch0007: 0007-Skip-tripleo_lvmfilter-unless-enabled-or-dry_run-is-.patch
Patch0008: 0008-Add-ceph_client-default-options-to-ceph.conf.patch
Patch0009: 0009-BaR-Keep-etc-exports-content.patch
Patch0010: 0010-BaR-doc-update-lftp-missing-package.patch
Patch0011: 0011-Revert-tarball-cleanup.patch
Patch0012: 0012-Fix-role-name-typo-in-octavia-playbook.patch
Patch0013: 0013-Fix-check-for-existing-nvdimm-namespaces.patch
Patch0014: 0014-Install-osc-placement-package-during-client-package-.patch
Patch0015: 0015-Run-LVM-filter-tasks-when-enabled-regardless-of-allo.patch
Patch0016: 0016-Stop-NetworkManager-from-updating-resolv.conf.patch
Patch0017: 0017-Remove-pcs-pacemaker-package-installation-from-upgra.patch
Patch0018: 0018-Allow-rhsm-subscription-test-to-be-overrided-in-RHOS.patch
Patch0019: 0019-Revert-Remove-json_error-callback.patch
Patch0020: 0020-Opens-ports-to-NFS-server-s-firewalld.patch
Patch0021: 0021-Option-to-remove-the-self-installed-ReaR-cron-task.patch
Patch0022: 0022-tripleo_transfer-Do-transfers-directly-from-src-to-d.patch
Patch0023: 0023-Build-osd-caps-section-when-there-s-at-least-1-pool.patch
Patch0024: 0024-Handle-containers-with-no-namespace.patch
Patch0025: 0025-Add-image-id-compare.patch
Patch0026: 0026-Reduce-fact-gathering.patch
Patch0027: 0027-Update-skeleton-role-to-use-ansible_facts.patch
Patch0028: 0028-Use-ansible_facts-instead.patch
Patch0029: 0029-Fix-bootstrap-ansible_fact.patch
Patch0030: 0030-Enable-fact-bits-for-ceph-execution.patch
Patch0031: 0031-Use-ansible_facts-in-tripleo_ssh_known_hosts-role.patch
Patch0032: 0032-Use-ignore-times-when-transferring-files-via-rsync.patch
Patch0033: 0033-Do-not-update-podman-during-deployment.patch
Patch0034: 0034-Do-not-log-ssh-keys-by-default.patch
Patch0035: 0035-Ensure-tuned_custom_profile-is-used-for-tuned-role.patch
Patch0036: 0036-Add-OVN-chassis-macs-to-hieradata.patch
Patch0037: 0037-Write-hosts-entries-per-environment.patch
Patch0038: 0038-Fix-tripleo_network-config-conditional.patch
Patch0039: 0039-After-SFTP-backup-the-backup-file-and-the-iso-must-b.patch
Patch0040: 0040-Make-execution-of-the-backup-idempotent.patch
Patch0041: 0041-Make-server-group-quota-unlimited-for-Octavia.patch
Patch0042: 0042-Restart-octavia-rsyslog-after-updating-the-config.patch
Patch0043: 0043-Copy-generated-boot-grub2-grubenv-to-EFI-dirs.patch
Patch0044: 0044-Update-kernel-args-grub-file-entry-inline-with-upgra.patch
Patch0045: 0045-Avoid-reboot-for-node-update-even-when-kernelargs-ch.patch
Patch0046: 0046-Train-only-Remove-duplicate-etc-hosts-entries.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-jinja2 >= 2.8.0
%if %{pyver} == 2
BuildRequires: PyYAML
%else
BuildRequires: python%{pyver}-PyYAML
%endif

Requires: ansible >= 2.8.0
Requires: ansible-config_template
Requires: ansible-role-openstack-operations
Requires: python%{pyver}-paunch
Requires: python%{pyver}-jinja2 >= 2.8.0

%description

Ansible project for TripleO

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/


%changelog
* Tue Sep 28 2021 Miguel Garcia <mgarciac@redhat.com> 0.5.1-1.20210713143309
- [Train-only] Remove duplicate /etc/hosts entries (rhbz#2000088)

* Fri Sep 10 2021 Miguel Garcia <mgarciac@redhat.com> 0.5.1-1.20210713143308
- Avoid reboot for node update even when kernelargs changed (rhbz#1980829)
- Update kernel args grub file entry inline with upgrade changes (rhbz#1980829)

* Thu Aug 19 2021 Miguel Garcia <mgarciac@redhat.com> 0.5.1-1.20210713143307
- Copy generated /boot/grub2/grubenv to EFI dirs (rhbz#1974507)

* Tue Jul 13 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.1-1.20210713143305.902c3c8
- Restart octavia rsyslog after updating the config (rhbz#1981652)
- After SFTP backup, the backup file and the iso must be deleted from the machine (rhbz#1955495)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Mon Jun 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.1-1.20210628133308.902c3c8
- Make server group quota unlimited for Octavia (rhbz#1923012)
- After SFTP backup, the backup file and the iso must be deleted from the machine (rhbz#1955495)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.1-1.20210609103307.902c3c8
- After SFTP backup, the backup file and the iso must be deleted from the machine (rhbz#1955495)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Wed Jun 09 2021 Juan Larriba <jlarriba@redhat.com> 0.5.1-1.20210609083311
- Make execution of the backup idempotent (rhbz#1957613)
- After SFTP backup, the backup file and the iso must be deleted from the machine (rhbz#1955495)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.1-1.20210609083310.902c3c8
- After SFTP backup, the backup file and the iso must be deleted from the machine (rhbz#1955495)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Wed Jun 09 2021 Juan Larriba <jlarriba@redhat.com> 0.5.1-1.20210528193307
- After SFTP backup, the backup file and the iso must be deleted from the machine (rhbz#1955495)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.1-1.20210528193306.902c3c8
- Fix tripleo_network config conditional (rhbz#1958293)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.1-1.20210528055027.902c3c8
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.1-1.20210520163301.902c3c8
- Write hosts entries per environment (rhbz#1933528)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.1-1.20210520133323.902c3c8
- Add OVN chassis macs to hieradata (rhbz#1766930)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Mon May 10 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.1-1.20210511033310.902c3c8
- Ensure tuned_custom_profile is used for tuned role (rhbz#1958281)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.1-1.20210428173317.902c3c8
- Do not log ssh keys by default (rhbz#1936278)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Do not update podman during deployment (rhbz#1942273)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Fri Apr 16 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Use --ignore-times when transferring files via rsync (rhbz#1949398)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Thu Apr 15 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Use ansible_facts in tripleo_ssh_known_hosts role (rhbz#1949290)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Enable fact bits for ceph execution (rhbz#1911891)
- Fix bootstrap ansible_fact (rhbz#1911891)
- Use ansible_facts instead (rhbz#1911891)
- Update skeleton role to use ansible_facts (rhbz#1911891)
- Reduce fact gathering (rhbz#1911891)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Add image id compare (rhbz#1941412)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Handle containers with no namespace (rhbz#1919445)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Build osd caps section when there's at least >= 1 pool (rhbz#1934379)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Thu Mar 11 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Thu Mar 11 2021 Juan Pablo Lopez Guzman <jlopezgu@redhat.com> 0.5.1-1.20210310113106
- Modifying playbooks to support python-tripleoclient B&R commands (rhbz#1824806)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [tripleo_transfer] Do transfers directly from src to dst (rhbz#1904681 rhbz#1916162)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Mon Mar 01 2021 Juan Larriba <jlarriba@redhat.com> 0.5.1-1.20201114030852
- Option to remove the self-installed ReaR cron task (rhbz#1919174)

* Thu Feb 25 2021 Juan Larriba <jlarriba@redhat.com> 0.5.1-1.20201114030851
- Opens ports to NFS server's firewalld (rhbz#1917891)
- Revert "Remove json_error callback" (rhbz#1927356)
- Allow rhsm subscription test to be overrided in RHOSP deployment. (rhbz#1908266)
- Remove pcs/pacemaker package installation from upgrade tasks (rhbz#1899404)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Install osc-placement package during client package installation (rhbz#1906053)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Thu Feb 25 2021 Juan Larriba <jlarriba@redhat.com> 0.5.1-1.20201114030850
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Tue Feb 02 2021 Giulio Fidente <gfidente@redhat.com> 0.5.1-1.20201114030849
- Stop NetworkManager from updating resolv.conf (rhbz#1872158)
- Run LVM filter tasks when enabled, regardless of allow/deny list size (rhbz#1905973)
- Merge "Install osc-placement package during client package installation" into rhos-16.1-trunk-patches
- Install osc-placement package during client package installation (rhbz#1906053)
- Merge "BaR doc update + lftp missing package" into rhos-16.1-trunk-patches
- Merge "BaR: Keep /etc/exports content" into rhos-16.1-trunk-patches

* Tue Dec 22 2020 Martin Schuppert <mschuppert@redhat.com> 0.5.1-1.20201114030848
- Fix check for existing nvdimm namespaces (rhbz#1834185)

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Thu Nov 12 2020 Lon Hohberger <lhh@redhat.com> 0.5.1-1.20200914163930
- Respin due to missing patch

* Tue Nov 03 2020 Juan Badia Payno <jbadiapa@redhat.com> 0.5.1-1.20200914163929
- Merge "BaR doc update + lftp missing package" into rhos-16.1-trunk-patches
- Merge "BaR: Keep /etc/exports content" into rhos-16.1-trunk-patches
- Add ceph_client default options to ceph.conf (rhbz#1886175)
- Skip tripleo_lvmfilter unless enabled or dry_run is set (rhbz#1261083)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)
- BaR doc update + lftp missing package (rhbz#1887859)
- BaR: Keep /etc/exports content (rhbz#1878480)
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- Instruct systemd to accept 137 and 143 exit code
- Check mode support for 2 modules (rhbz#1823875)
- Allow tripleo_firewall to work in check mode (rhbz#1823875)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Tue Nov 03 2020 Juan Badia Payno <jbadiapa@redhat.com> 0.5.1-1.20200914163928
- Fix role name typo in octavia playbook (rhbz#1883536)
- Revert "tarball cleanup"
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Tue Nov 03 2020 Giulio Fidente <gfidente@redhat.com> 0.5.1-1.20200914163927
- Add ceph_client default options to ceph.conf (rhbz#1886175)

* Fri Oct 30 2020 Giulio Fidente <gfidente@redhat.com> 0.5.1-1.20200914163924
- Skip tripleo_lvmfilter unless enabled or dry_run is set (rhbz#1261083)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2 (rhbz#1261083)

* Wed Oct 28 2020 Francesco Pantano <fpantano@redhat.com> 0.5.1-1.20200914163923
- Compute dashboard_frontend_vip according to the haproxy frontend (rhbz#1777464 rhbz#1856999)
- Instruct systemd to accept 137 and 143 exit code
- Check mode support for 2 modules (rhbz#1823875)
- Allow tripleo_firewall to work in check mode (rhbz#1823875)

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add tripleo_ha_wrapper role
- Move c7 mol jobs to c8
- Add tripleo_diff_exec module

* Thu Sep 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Stop relying on future mtime in tripleo_nova_image_cache
- Workaround tripleo_nova_cache issue in ansible 2.9.11

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Expose tripleo_container_manage_clean_orphans var

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Additional permission fixes for roles

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Enable tripleo setup for molecule
- Update containers info module from collection

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Create a role for network config

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Enable pids_limit support

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add OpenFlow10 to protocols for backwards compatability

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [tripleo-podman] Install specific version of buildah
- Add c8 multinode container job to check & gate
- Move first set of working mol jobs to CentOS-8
- Fixed linting

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Add OpenFlow10 to protocols for backwards compatability (rhbz#1858745)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Increase validity period of Octavia CA and certificates
- Scan existing controllers on update to pick up existing certs/private keys

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Create tripleo_container_config_scripts module

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Set ceph_ansible_limit to ansible_limit if ansible_limit defined
- Use label rather than no_log

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Prepare tripleo deps repo in tripleo_client_install molecule job

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [TRAIN ONLY] Trigger scenario001/004 for tripleo-ceph roles

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_container_configs module

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Switch podman actions to use label

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Ensure those two tasks are compatible with t-h-t import

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Install pytest-xdist<2.0.0 for c7 jobs

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Ensure jq installed

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Restrict ansible install version

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add toggle for sensitive data within keystone

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Set the OpenFlow protocol while upgrading OVS from 2.11

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Refetch task

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make tripleo_sshd more idempontent
- Change drop action
- Switch from handlers to tasks
- Update firewall role to use an action plugin
- Revert "Ensure we produce a valid JSON while emptying the file"
- Ensure we produce a valid JSON while emptying the file
- Add tripleo_ovs_upgrade module.
- tripleo_podman_purge: try to use -f when pruning images
- tripleo_states: change wording
- container_systemd: improve debugging if service never starts
- Port jobs from centos7 to centos8

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [TRAIN ONLY] remove double requirement for mock

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Add tripleo_ovs_upgrade module.
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make run-local.yml use ansible_connection local, not ssh

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [train-only] container_systemd: clean and test requires for systemd

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Stop caturing stdout for container-image-prepare

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_container_manage: start systemd services which would be stopped

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_container_manage: continue to reduce tasks

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- BaR: Deleted duplicated variables

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix tripleo_profile_tasks callback plugin _output()

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use ansible_user only if ANSIBLE_REMOTE_USER is unset
- Introduce an Action Plugin to manage systemd services for containers

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Allow any_errors_fatal to be dynamic

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make buildah login optional

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add debug output when rendering container files
- Add role for Container file(s) generation

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add default value in CinderRbdExtraPools task condition

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [train] paunch: exit module if config doesn't exist

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix Octavia amphora log offloading template path

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- container_status: "exec" checks status

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Introduce an Action Plugin to fetch container infos

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [train-only] add tenacity as a molecule requirements

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [train-only] change parent for tripleo-ansible-centos-7-role-addition

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_container_manage: only run exec/create playbooks when needed

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- container_startup_config: remove old startup config files

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_states: add missing space
- Add a new callback: tripleo_states
- Update podman_container with better idempotency

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Molecule testing for TripleO Strategy Plugins

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Simplify ssh_known_hosts role

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Login with buildah too to allow registry access with buildah

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use registry:2.7.0 instead of registry:2

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix tripleo_hierdata permissions

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make throttle optional

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Run scenario004 for changes to tripleo-ceph-* roles
- Use ansible_user instead of ANSIBLE_REMOTE_USER env var
- Max percentage failure support
- Create tripleo base strategy class
- Add tripleo linear strategy

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Implement run_once

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Implement a tripleo free strategy

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Prepend timestamp callback output
- Implement container_startup_config module

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix host entries permissions

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Handle unreachable

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Set short ANSIBLE_SSH_CONTROL_PATH_DIR for all ceph roles
- Make tripleo_ceph_run_ansible handle change in remote_tmp

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Set short ANSIBLE_SSH_CONTROL_PATH_DIR for all ceph roles (rhbz#1851927)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use py3 for libselinux / libsemanage in Cent 7/8

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- BaR - Export ceph authentication

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make sure failed containers get stopped by systemd

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use filter for containers not running check

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Make tripleo_ceph_run_ansible handle change in remote_tmp (rhbz#1850059)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Octavia: handle empty amphora image search result

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Ensure pip is installed

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- BaR: Set default container cli to podman

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Preserve inode when updating /etc/hosts
- Fix error when display_ok_hosts is false
- Do not set lo.disable_ipv6=0 by default
- Add support for Octavia amphora log offloading

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix missing output call

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Exclude callbacks env vars for ceph-ansible

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- added mcelog role

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- BaR: Pacemaker config backup

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add new role to manage persistent memory devices

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add security related podman options

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add tripleo_profile_tasks for tripleo_dense output
- Add tripleo dense formatting
- Add tripleo callback

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Change Ansible group from overcloud to allovercloud.

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_container_manage: set log_level appropriately
- Add log level config to podman_container module

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [train-squash] Fix default timeouts for container_manage

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- podman/create: make containers_to_check more realistic

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Correctly match openvswitch package

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add centos8 file for deps
- Remove fedora28 from redhat-8 test

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Handle generating grub config for EFI partitions

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- container_manage: catch more containers with wrong return code

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_container_manage: fail if podman_container returns stderr

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Improve idempotency for podman_container

* Sat May 09 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- podman/systemd: relax the "until" condition

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Replace podman commands by module
- tripleo_container_rm: use loop instead of with_items

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Stop and remove container with module

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_*/molecule: pull fedora instead of centos8
- standalone-upgrade was not triggering

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo-redhat-enforce new role to enforce RHOSP constraints.

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Add ansible hieradata file

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Fix typo in sync script string container name comparison

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- container_manage: introduce create_retries and exec_retries vars

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Pin sh library used for molecule tests

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_manage: trim down ansible tasks

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_manage: manage systemd services per step vs start_order

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_manage: extract get_commands into playbooks

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_manage/systemd: add retries mechanism
- [train-squash] tripleo_container_manage: backport systemd optimizations
- Create Symlink /usr/bin/ansible-playbook-3 when not exist

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Simplify tripleo_container_rm to not check binaries
- [upgrade] Add inventory filters to map groups to roles

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Correctly set openstack_domains for ansible >= 2.9

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- podman_container: only add --rm if rm is True

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_manage: print message if no container action

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Switch install-docker with ensure-docker

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- (follow-up) run check mode for more molecule tests

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Add ceph config overrides support

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_bootstrap: do not fail if OVS rpm wasn't found
- Hide passwords better
- Link tripleo-ansible inventory for ceph-ansible with force

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_hieradata/molecule: add check mode testing

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_all_nodes_data: sort enabled_services (idempotency)
- 'tripleo_ovs_dpdk_lcore_list' should be optional

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- container_puppet_config: don't show a warning if config_hash is empty
- tripleo_container_manage: add check mode testing
- tripleo_container_rm: fix check mode
- Relax get_failed_containers() filter

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_all_nodes_data: Append server node IP to the list.

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Use jinja templating when setting facts

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add filters to help process inventory for tripleo-upgrade

* Sat Apr 04 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add recursive get key from dict

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Using podman/docker ps to look for running sidecars
- BaR Always do MySQL dumps even the services wont be stopped

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Do not race with locks for the sync/wrapper script
- Do not duplicate config volumes for puppet manager
- Fix get_failed_containers() to correctly fetch container_data

* Sat Mar 28 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Rework how we push the content in the file

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Force container deletion if namespace does not exist in service_kill
- Insert hosts entries to the beginning of the file.

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: improve logging for failed containers
- Increase number of retries for container create async task
- Add role/playbook to manage nova image cache

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Filter out wrapper commands from the ps output

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Improve idempotency for images in podman container

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add a new set of tasks to build the openstack pool and key list

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo-container-manage: fix check mode
- Revert "tripleo-container-image: add |list to containers_commands"

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove useless doc in tripleo-container-manag

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Fix logic to stop overrwriting upgrade hieradata

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Fix octavia services restart

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Only add host entries for role_networks

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Forces root for get_ssh_private_key
- Remove all ignore_errors to avoid confusion when debugging
- Add grafana vip on the storage network
- Tune-up package install
- Creates container_config_data module
- Fixed the condition for gather_domains
- Remove tripleo_ceph_fetch_dir role
- Fix error with command ansible module and pipes
- Don't fail symlinking puppet modules if directory exists
- filters: make get_domain_id more robust

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- BaR Rename the mysql_short_bootstrap_name

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- container_puppet_config: disable SElinux labelling

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Ensure rsync is installed during bootstrap

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Run standalone-upgrade job when touching container roles

* Sat Feb 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add tmpwatch to the bootstrap

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: add systemd testcase for service reload
- podman/systemd: manage timer requires
- tripleo_container_rm: also remove systemd requires when they exist
- Add no_log to the podman login
- Use CI mirrors for molecule jobs
- tripleo_container_manage: disable logging for tasks using container_data
- paunch: add "cleanup" parameter, useful for apply action
- podman/systemd: fix task indentation for timer
- tripleo_container_manage/molecule: remove unused facts
- Add support for ceph_external_multi_config

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: improve testing coverage with molecule

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Do not inherit the calling ansible env by default

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Fix keystone password rotation

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: remove podman/delete.yml and use another role
- tripleo_container_manage: avoid excessive logging with podman facts
- tripleo_container_manage: reduce downtime for minor updates
- tripleo_container_manage: reduce cleanup when single config is given
- tripleo_container_manage: create a filter to get changed containers
- Allow to update container startup config with new config hashes
- tripleo-container-manage: remove hashed-* from default
- tripleo-container-manage: provide more debug doc
- container_puppet_config: update config_hash for all steps
- Remove json_error callback
- container_puppet_config: python3 fix
- container_puppet_config: cleanup old config files
- Stop docker service when is available only.
- Octavia: do not attempt container restart on empty list

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Use domain variable instead of generic resource data
- tripleo-keystone-resources: hide logs for resources with passwords

* Thu Feb 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- [TRAIN] Backport tripleo-systemd-wrapper (squash)

* Thu Feb 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Convert all of the fedora28 container usage to centos8

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo-config: use become by default
- tripleo-config: add tripleo_config_remote_src option
- Initial documentation for tripleo-keystone-resources role
- [train-squash] Backport tripleo-keystone-resources role

* Mon Feb 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- paunch: allow to override any container config
- Rise async value for containers starting commands
- Add service management support.
- Add module "container_puppet_config"

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Pass only variables starting with ANSIBLE

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Pin molecule to last known good
- tripleo-container-manage: introduce tripleo_container_manage_valid_exit_code
- Add more doc for tripleo-container-manage
- tripleo_container_manage: skip shutdown.yml if not necessary
- tripleo-container-manage: add tripleo_container_manage_systemd_teardown
- Execute healthchecks as root
- Update the helper filter for needs_delete
- Relax needs_delete() filter
- tripleo-container-manage: allow to override a container config
- tripleo-container-image: add |list to containers_commands
- tripleo-container-manage: show podman commands that are executed
- Initial documentation for tripleo-container-manage role

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Octavia: do not attempt container restart on empty list (rhbz#1794328)

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Improve idempotency of podman_container
- [SQUASH] backport tripleo-container-manage to stable/train
- paunch: use utils.load_config()

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add action plugin for all_nodes data

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Generate the /etc/hosts content once.

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Allow comments in variable files to be rendered in docs

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove dracut-config-generic package

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove extra backslash in awk for tripleo-ceph-uuid role

* Mon Jan 13 2020 Giulio Fidente <gfidente@redhat.com> 0.4.2-0.20200110023759.ee731ba
- Remove extra backslash in awk for tripleo-ceph-uuid role (rhbz#1783299)

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Merge "paunch: only read container config JSON which starts by "hashed-"" into stable/train
- Use module command to run podman
- Include stdout and stderr in return of podman_container
- paunch: only read container config JSON which starts by "hashed-"

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove old Heat hosts entries in tripleo-hosts-entries
- Fix network hostnames in tripleo-hosts-entries
- Add tripleo-hosts-entries role

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Create Validations logging directory

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Copy all_nodes.json instead of rendering template

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Move localhost_address to net_ip_map hieradata

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Don't include tuned tasks when checkmode

* Sat Dec 07 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Networks may be none

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Handle range in the cpu_mask conversion for DPDK cores" into stable/train
- Handle range in the cpu_mask conversion for DPDK cores

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- tripleo-hieradata: re-enable "service_names"

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Optionally add ctlplane vips

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Delete Octavia configuration leftovers" into stable/train
- Delete Octavia configuration leftovers

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Ensure plugin path is correct

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Fix for Ansible playbook error, variable is undefined" into stable/train
- Merge "Adding setup_rear and setup_nfs task" into stable/train
- Merge "Make sure we add all_nodes_extra_map_data to all_nodes" into stable/train
- Fix for Ansible playbook error, variable is undefined
- Make sure we add all_nodes_extra_map_data to all_nodes
- Adding setup_rear and setup_nfs task

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Cast single value list as a string for config id" into stable/train
- Cast single value list as a string for config id

* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Make sure role_networks is used from current processed node

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Add LVM2 package install to bootstrap

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix ssh_known_hosts hostname entries

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Prefer ovn_dbs_vip from all_nodes_extra_map_data

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Fix enabled_services to include all_nodes_extra_map_data" into stable/train
- Fix enabled_services to include all_nodes_extra_map_data

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Include ceph-ansible filter_plugins" into stable/train
- Include ceph-ansible filter_plugins
- Revert "Fix ssh_known_hosts hostname entries"

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix ssh_known_hosts hostname entries

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Add support for --limit option into ceph-ansible call

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix the filter plugin location for triple-ovs-dpdk role

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Revert "Workaround for ansible-lint installation failure"

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Simplify octavia post deploy configs" into stable/train
- Fix invalid variable issue with StorageNFS
- Simplify octavia post deploy configs

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Update TOX/UPPER_CONSTRAINTS_FILE for stable/train" into stable/train
- Workaround for ansible-lint installation failure
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- paunch: support a directory for "config" parameter

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix booleans settings in podman_container

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix cellv2 role handler"
- Merge "Add the Apache license to the overcloud-delete playbook"
- Merge "Use executable for podman container from params"
- Merge "Install packages and load kernel modules before configuring sysctl."
- Use executable for podman container from params
- Merge "Update config to support RHEL/CENT8"
- Fix cellv2 role handler
- Add the Apache license to the overcloud-delete playbook
- Install packages and load kernel modules before configuring sysctl.
- Update config to support RHEL/CENT8

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove leftovers for podman-image*
- Merge "Remove readme files within the roles"
- Merge "Add a playbook for the "openstack overcloud delete" CLI Command"
- podman_container: only add --volume if item not empty
- Add a playbook for the "openstack overcloud delete" CLI Command
- Remove readme files within the roles

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- podman_container: command now accepts lists

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "scenario010 nonvoting""
- Revert "scenario010 nonvoting"

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Optional flag file for tripleo-transfer to prevent overwriting"
- Optional flag file for tripleo-transfer to prevent overwriting

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix port info lookup parsing"
- Use dynamic argument_spec from documentation
- Fix port info lookup parsing
- Change parameters processing to class based
- Merge "paunch: add support for 'cleanup'"
- Merge "podman_container: add log_driver support"
- podman_container: add log_driver support
- Merge "podman_container: move ulimit into a list"
- Merge "podman_container: fix some booleans"
- Merge "Add podman_volume_info ansible module"
- Merge "Set calling_ansible_environment_variables after preset vars"
- Merge "Add podman_container module"
- podman_container: move ulimit into a list
- podman_container: fix some booleans
- Set calling_ansible_environment_variables after preset vars
- Add podman_container module
- Add podman_volume_info ansible module
- paunch: add support for 'cleanup'

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove podman_image*"
- Merge "Add missing [] around all_nodes_extra_map_data"
- Add missing [] around all_nodes_extra_map_data
- Remove podman_image*
